# Uses of Interface
org.eclipse.birt.core.script.ICompiledScript

Packages that use ICompiledScript
Package
Description
org.eclipse.birt.core.script
Provides Java Script support to BIRT.

## Uses of ICompiledScript in org.eclipse.birt.core.script

Methods in org.eclipse.birt.core.script that return ICompiledScript
Modifier and Type
Method
Description
`ICompiledScript`
IScriptEngine.`compile(ScriptContext scriptContext, String fileName, int lineNumber, String script)`
Compiles the script for later execution.
`ICompiledScript`
ScriptContext.`compile(String language, String fileName, int lineNo, String script)`
Methods in org.eclipse.birt.core.script with parameters of type ICompiledScript
Modifier and Type
Method
Description
`Object`
IScriptEngine.`evaluate(ScriptContext scriptContext, ICompiledScript script)`
Evaluates a compiled script.
`Object`
ScriptContext.`evaluate(ICompiledScript script)`